Skip to main content
GET
/
v1
/
shipping_rates
List Shipping Rates
curl --request GET \
  --url https://api.withflex.com/v1/shipping_rates \
  --header 'Authorization: Bearer <token>'
{
  "shipping_rates": [
    {
      "shipping_rate_id": "obj_01EXAMPLE00000000000000000",
      "active": false,
      "display_name": "Example",
      "amount": 0,
      "metadata": {},
      "created_at": "2024-01-01T00:00:00Z"
    }
  ]
}

Authorizations

Authorization
string
header
required

Use a Bearer token to access this API.

Query Parameters

active
boolean | null

Only return shipping rates where active matches this value.

Example:

false

limit
integer<int64> | null

A limit on the number of objects to be returned. Limit can range between 1 and 100, and the default is 10.

Example:

10

offset
integer<int64> | null

Number of objects to skip before returning results.

Example:

0

starting_after
string | null

A cursor for use in pagination. starting_after is a shipping rate ID that defines your place in the list.

Example:

"obj_01EXAMPLE00000000000000000"

ending_before
string | null

A cursor for use in pagination. ending_before is a shipping rate ID that defines your place in the list.

Example:

"obj_01EXAMPLE00000000000000000"

Response

Success

shipping_rates
object[]
required